const app = getApp()
import {
    Base
} from '../../../utils/base.js';
const base = new Base()
const util = require('../../../utils/util');

Page({

    /**
     * 页面的初始数据
     */
    data: {
        coach_id: '5',
        isOpen: false,
        daysColor: [],
        today: '', // 今天日期
        curDate: '',
        list: [],
        allList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        wx.showLoading({
            title: '加载中...',
        })
        this.setData({
            today: util.formatTime(new Date()),
            curDate: util.formatTime(new Date())
        })
        console.log(this.data.today == this.data.curDate)
        this.getAllList()
        this.getList()
    },
    getAllList() {
        let params = {
            url: 'coach/timetable',
            data: {
                coach_id: this.data.coach_id,
            },
            callback: (data) => {
                console.log(data)
                wx.hideLoading()
                let daysColor = [];
                data.forEach(function (el, index) {
                    daysColor.push({
                        month: 'current',
                        day: el.class_date.split('-')[2],
                        color: '#fff',
                        background: '#B4BC4D'
                    })
                })
                this.setData({
                    daysColor: daysColor,
                    allList: data
                })
                console.log(this.data.daysColor)

            }
        }
        base.newRequest(params)
    },
    getList() {
        let params = {
            url: 'coach/schedule',
            data: {
                coach_id: this.data.coach_id,
                date: this.data.curDate
            },
            callback: (data) => {
                this.setData({
                    list: data,
                    locked: false
                })
            }
        }
        base.newRequest(params)

    },
    
    prev: function (event) {
        let currentMonth = util.formatNumber(event.detail.currentMonth)
        this.setData({
            month: event.detail.currentYear + '-' + currentMonth
        })
        this.getAllList();
    },
    next: function (event) {
        let currentMonth = util.formatNumber(event.detail.currentMonth)
        this.setData({
            month: event.detail.currentYear + '-' + currentMonth
        })
        this.getAllList();
    },
    dayClick: function (event) {
        console.log(event)
        this.setData({
            curDate: event.detail.year + '-' + util.formatNumber(event.detail.month) + '-' + util.formatNumber(event.detail.day)
        })
        if (!this.data.locked) {
            this.setData({
                locked: true,
                courseList: [],
            })
            this.getList();
        }
    },

    onChange(e) {
        let index = e.currentTarget.dataset.index
        let list = this.data.classlist
        list[index].timeData = e.detail
        this.setData({
            classlist: list
        })
    },
    changeTab(e) {
        let index = e.currentTarget.dataset.index
        if (this.data.activeIndex != index) {
            this.setData({
                activeIndex: index
            })
        }
    },
    // 日历展开与否
    open() {
        this.setData({
            isOpen: !this.data.isOpen
        })
    },
    goclassManagement: function (e) {
        let item = e.currentTarget.dataset.item
        let classTime = item.start_time + '～' + item.end_time
        wx.navigateTo({
            url: '/pages/index/classManagement/classManagement?classTime=' + classTime + '&class_id=' + item.class_id + '&lesson_id=' + item.id,
        })
    },
    goDetail(e) {
        let item = e.currentTarget.dataset.item
        console.log(item)
        let classTime = item.start_time + '～' + item.end_time
        // console.log(item)
        // wx.navigateTo({
        //     url: '/pages/index/classDetail/classDetail',
        // })
        wx.navigateTo({
            url: '/pages/index/classManagement/classManagement?classTime=' + classTime + '&class_id=' + item.class_id + '&lesson_id=' + item.id,
        })
    },
})